zenilib: zenilib/jni/external/freetype2/src/cff/cffparse.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
cffparse.h File Reference
`#include <ft2build.h>`
`#include "cfftypes.h"`
`#include <FT_INTERNAL_OBJECTS_H>`

Go to the source code of this file.

## Classes

struct | CFF_Field_Handler_
struct | CFF_ParserRec_

## Macros

#define | CFF_CODE_PRIVATE 0x2000
#define | CFF_CODE_TOPDICT 0x1000
#define | CFF_MAX_STACK_DEPTH 96

## Typedefs

typedef struct CFF_Field_Handler_ | CFF_Field_Handler
typedef FT_Error(* | CFF_Field_Reader )(CFF_Parser parser)
typedef struct CFF_ParserRec_ * | CFF_Parser
typedef struct CFF_ParserRec_ | CFF_ParserRec

## Enumerations

enum | { cff_kind_none = 0, cff_kind_num, cff_kind_fixed, cff_kind_fixed_thousand, cff_kind_string, cff_kind_bool, cff_kind_delta, cff_kind_callback, cff_kind_max }

## Functions

| cff_parser_init (CFF_Parser parser, FT_UInt code, void *object, FT_Library library)
| cff_parser_run (CFF_Parser parser, FT_Byte *start, FT_Byte *limit)

## Macro Definition Documentation

#define CFF_CODE_PRIVATE 0x2000

Definition at line 34 of file cffparse.h.

Referenced by cff_subfont_load().

#define CFF_CODE_TOPDICT 0x1000

Definition at line 33 of file cffparse.h.

Referenced by cff_subfont_load().

#define CFF_MAX_STACK_DEPTH 96

Definition at line 31 of file cffparse.h.

Referenced by cff_parser_run().

## Typedef Documentation

typedef struct CFF_Field_Handler_ CFF_Field_Handler

typedef FT_Error(* CFF_Field_Reader)(CFF_Parser parser)

Definition at line 81 of file cffparse.h.

typedef struct CFF_ParserRec_ * CFF_Parser

typedef struct CFF_ParserRec_ CFF_ParserRec

## Enumeration Type Documentation

anonymous enum

Enumerator
cff_kind_none |
cff_kind_num |
cff_kind_fixed |
cff_kind_fixed_thousand |
cff_kind_string |
cff_kind_bool |
cff_kind_delta |
cff_kind_callback |
cff_kind_max |

Definition at line 65 of file cffparse.h.

## Function Documentation

cff_parser_init | ( | CFF_Parser | parser,
|  | FT_UInt | code,
|  | void * | object,
|  | FT_Library | library
| ) |  |

Definition at line 39 of file cffparse.c.

References FT_MEM_ZERO, and library.

Referenced by cff_subfont_load().

cff_parser_run | ( | CFF_Parser | parser,
|  | FT_Byte * | start,
|  | FT_Byte * | limit
| ) |  |

Definition at line 868 of file cffparse.c.

References CFF_Field_Handler_::array_max, cff_kind_bool, cff_kind_delta, cff_kind_fixed, cff_kind_fixed_thousand, cff_kind_num, cff_kind_string, CFF_MAX_STACK_DEPTH, cff_parse_fixed(), cff_parse_fixed_scaled(), cff_parse_num(), CFF_Field_Handler_::code, CFF_Field_Handler_::count_offset, error, FT_CFF_FIELD_HANDLERS_GET, FT_CHAR_BIT, FT_TRACE4, FT_UNUSED, if(), CFF_Field_Handler_::kind, CFF_Field_Handler_::offset, CFF_Field_Handler_::reader, and CFF_Field_Handler_::size.

Referenced by cff_subfont_load().